BazaarLinkBazaarLink
साइन इन
दस्तावेज़API संदर्भSDK संदर्भएजेंटिक उपयोगAI स्किल्स
Social and Commerce Data

Submit social data

प्लेटफ़ॉर्म और एक्शन के आधार पर सार्वजनिक सोशल या कॉमर्स डेटा प्राप्त करें। सेवा जल्द आ रही है और डिफ़ॉल्ट रूप से बंद है। सफल परिणाम पर एक बार शुल्क लगता है; विफलता और शून्य परिणाम मुफ़्त हैं।

POST/v1/data/social

प्राधिकरण

Authorizationआवश्यक
string · header

Authorization हेडर में bearer token के रूप में API कुंजी।

Body

platformआवश्यक
string

कैटलॉग का प्लेटफ़ॉर्म ID, जैसे twitter या instagram।

actionआवश्यक
string

उस प्लेटफ़ॉर्म का समर्थित एक्शन; उपलब्ध संयोजनों के लिए कैटलॉग देखें।

params
object

एक्शन-विशिष्ट इनपुट। कैटलॉग में required_params और optional_params का उपयोग करें।

mode
sync | async

वैकल्पिक। async पोल करने के लिए जॉब लौटाता है; केवल-असिंक्रोनस एक्शन को छोड़ने पर भी जॉब मिलता है।

syncasync

गहन गाइड →

POST /v1/data/social
curl https://api.bazaarlink.ai/v1/data/social \
  -H "Authorization: Bearer $BAZAARLINK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"platform":"twitter","action":"search","params":{"keyword":"BazaarLink","limit":5}}'
प्रतिक्रिया उदाहरण

count, results और USD में usage.cost वाला पूरा data.social परिणाम।

{
  "id": "req_example",
  "object": "data.social",
  "platform": "twitter",
  "action": "search",
  "count": 1,
  "results": [
    {
      "id": "post_example",
      "url": "https://x.com/someone/status/post_example",
      "text": "Example post",
      "like_count": 120,
      "reply_count": 8,
      "retweet_count": 14,
      "view_count": 5400,
      "posted_at": "2026-10-07T00:48:38+00:00",
      "author_username": "someone",
      "author_name": "Someone",
      "platform": "twitter"
    }
  ],
  "usage": {
    "cost": 0.0048
  }
}
Support
Support
Hi! How can we help you?
Send a message and we'll get back to you soon.
Submit social data — BazaarLink API